<?php
// +----------------------------------------------------------------------
// 使用demo
// +----------------------------------------------------------------------
// Copyright (c) 2020 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------
require_once 'SwooleDb.php';
echo '<pre>';

$sql = SwooleDb::run()->table('user')->alias('A')->join('user_data B', 'A.id=B.user_id')->field('A.id')->where('id', '冯大大')->where('id', 1)->group('A.pid')->having('sum(A.money) > 100')->order('A.id DESC')->limit(10, 20)->page(10, 10)->select();
var_dump($sql);

$sql = SwooleDb::run()->table('user')->alias('A')->join('user_data B', 'A.id=B.user_id')->field('A.id')->where('id', '冯大大')->where('id', 1)->group('A.pid')->having('sum(A.money) > 100')->order('A.id DESC')->limit(10, 20)->page(10, 10)->find();
var_dump($sql);

$sql = SwooleDb::run()->table('user')->where('id', '>=','1')->select();
var_dump($sql);

$sql = SwooleDb::run()->table('user')->where([
    ['id', '>=', 1],
    ['id', '<>', 2],
    ['money', 'like', '%20%'],
])->select();
var_dump($sql);

$sql = SwooleDb::run()->table('user')->where('id', '冯大大')->limit(10, 20)->order('id DESC')->delete();
var_dump($sql);

$sql = SwooleDb::run()->table('user')->where('id', '冯大大')->update([
    'id' => 1,
    'money' => 1,
]);
var_dump($sql);

$sql = SwooleDb::run()->table('user')->insert([
    'id' => 2,
    'money' => 40,
]);
var_dump($sql);
$sql = SwooleDb::run()->table('user')->insert([
    [
        'id' => 1,
        'money' => 20,
    ],[
        'id' => 2,
        'money' => 40,
    ]
]);
var_dump($sql);

$sql = SwooleDb::run()->table('user')->where('id', 11)->setInc('money', 2);
var_dump($sql);

$sql = SwooleDb::run()->table('user')->where('id', 12)->setDec('money', 2);
var_dump($sql);